%define name alsa-driver
%define version 0.3.2
%define release 1
%define kversion 2.2.10

Summary: Advanced Linux Sound Architecture (ALSA) driver
Name: %{name}
Version: %{version}
Release: %{release}
Source: %{name}-%{version}.tar.gz
Copyright: GPL
BuildRoot: /tmp/%{name}-%{version}-root
Group: System Environment/Kernel
Requires: kernel kernel-headers
Packager: bladder <bladder@pagan.org>

%description
Advanced Linux Sound Architecture (ALSA) drivers. Modularized architecture with
support for a large range of ISA and PCI cards. Fully compatible with OSS/Lite
(kernel sound drivers), but contains many enhanced features.

%prep

%setup

%build
./configure --prefix=/usr
make

%install
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d 
mkdir -p $RPM_BUILD_ROOT/usr/include/linux
mkdir -p $RPM_BUILD_ROOT/lib/modules/%{kversion}/misc
make prefix=$RPM_BUILD_ROOT/usr moddir=$RPM_BUILD_ROOT/lib/modules/%{kversion}/misc install
install -m755 $RPM_BUILD_DIR/alsa-driver-0.3.2/utils/alsasound $RPM_BUILD_ROOT/etc/rc.d/init.d/alsasound

%post
if [ -x /sbin/chkconfig ]; then
	chkconfig --add alsasound
fi
depmod -a

%postun
if [ "$1" = 0 ] ; then
	if [ -x /sbin/chkconfig ]; then
		chkconfig --del alsasound
	fi
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%config /etc/rc.d/init.d/alsasound
%doc ChangeLog FAQ INSTALL README TODO snddevices doc/
/lib/modules/2.2.10/misc/persist.o
/lib/modules/2.2.10/misc/snd-ac97-codec.o
/lib/modules/2.2.10/misc/snd-ad1848.o
/lib/modules/2.2.10/misc/snd-ak4531-codec.o
/lib/modules/2.2.10/misc/snd-audiodrive1688.o
/lib/modules/2.2.10/misc/snd-audiodrive18xx.o
/lib/modules/2.2.10/misc/snd-audiopci1370.o
/lib/modules/2.2.10/misc/snd-audiopci1371.o
/lib/modules/2.2.10/misc/snd-card-ad1848.o
/lib/modules/2.2.10/misc/snd-card-cs4231.o
/lib/modules/2.2.10/misc/snd-card-cs4232.o
/lib/modules/2.2.10/misc/snd-card-cs4236.o
/lib/modules/2.2.10/misc/snd-card-cs461x.o
/lib/modules/2.2.10/misc/snd-card-fm801.o
/lib/modules/2.2.10/misc/snd-cs4231.o
/lib/modules/2.2.10/misc/snd-cs4236.o
/lib/modules/2.2.10/misc/snd-cs461x.o
/lib/modules/2.2.10/misc/snd-detect.o
/lib/modules/2.2.10/misc/snd-ens1370.o
/lib/modules/2.2.10/misc/snd-ens1371.o
/lib/modules/2.2.10/misc/snd-es1688.o
/lib/modules/2.2.10/misc/snd-es18xx.o
/lib/modules/2.2.10/misc/snd-es1938.o
/lib/modules/2.2.10/misc/snd-esssolo1.o
/lib/modules/2.2.10/misc/snd-fm801.o
/lib/modules/2.2.10/misc/snd-gus.o
/lib/modules/2.2.10/misc/snd-gusclassic.o
/lib/modules/2.2.10/misc/snd-gusextreme.o
/lib/modules/2.2.10/misc/snd-gusmax.o
/lib/modules/2.2.10/misc/snd-i2c.o
/lib/modules/2.2.10/misc/snd-interwave-stb.o
/lib/modules/2.2.10/misc/snd-interwave.o
/lib/modules/2.2.10/misc/snd-midi.o
/lib/modules/2.2.10/misc/snd-mixer-oss.o
/lib/modules/2.2.10/misc/snd-mixer.o
/lib/modules/2.2.10/misc/snd-mozart.o
/lib/modules/2.2.10/misc/snd-mpu401-uart.o
/lib/modules/2.2.10/misc/snd-opl3.o
/lib/modules/2.2.10/misc/snd-opl3sa.o
/lib/modules/2.2.10/misc/snd-opti9xx.o
/lib/modules/2.2.10/misc/snd-pcm.o
/lib/modules/2.2.10/misc/snd-pcm1-oss.o
/lib/modules/2.2.10/misc/snd-pcm1.o
/lib/modules/2.2.10/misc/snd-s3-86c617.o
/lib/modules/2.2.10/misc/snd-sb16-dsp.o
/lib/modules/2.2.10/misc/snd-sb16.o
/lib/modules/2.2.10/misc/snd-sb8-dsp.o
/lib/modules/2.2.10/misc/snd-sb8.o
/lib/modules/2.2.10/misc/snd-sbawe.o
/lib/modules/2.2.10/misc/snd-serial.o
/lib/modules/2.2.10/misc/snd-sgalaxy.o
/lib/modules/2.2.10/misc/snd-sonicvibes.o
/lib/modules/2.2.10/misc/snd-synth.o
/lib/modules/2.2.10/misc/snd-tea6330t.o
/lib/modules/2.2.10/misc/snd-timer.o
/lib/modules/2.2.10/misc/snd-trid4dwave.o
/lib/modules/2.2.10/misc/snd-trident_dx_nx.o
/lib/modules/2.2.10/misc/snd-uart16550.o
/lib/modules/2.2.10/misc/snd.o
/usr/include/linux/ainstr_iw.h
/usr/include/linux/asequencer.h
/usr/include/linux/asound.h
/usr/include/linux/asoundid.h

%changelog
* Thu Jun 25 1999 bladder <bladder@pagan.org>
  - initial release
